TechDraw DiameterDimension: Difference between revisions

From FreeCAD Documentation
(Removed the template as it complicates the translations; instead, see the other tool for the options)
m ([[ | ]])
(10 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>
<!--T:18-->
{{Docnav
|[[TechDraw_Dimension_Radius|New Radius]]
|[[TechDraw_Dimension_Angle|New Angle]]
|[[TechDraw_Module|TechDraw]]
|IconL=Techdraw_Dimension_Radius.png
|IconC=Workbench_TechDraw.svg
|IconR=Techdraw_Dimension_Angle.png
}}

<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand
Line 6: Line 16:
|MenuLocation=TechDraw → Dimension Diameter
|MenuLocation=TechDraw → Dimension Diameter
|Workbenches=[[TechDraw Module|TechDraw]]
|Workbenches=[[TechDraw Module|TechDraw]]
|SeeAlso=[[TechDraw Dimension Radius]]
|SeeAlso=[[TechDraw Dimension Radius|TechDraw Dimension Radius]]
}}
}}


==Description== <!--T:2-->
==Description== <!--T:2-->

The Dimension Diameter tool adds a diameter dimension to a View. The dimension may be applied to any circular in the drawing. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the {{Button|[[Image:TechDraw_Dimension_Link.svg|16px]] Link Dimension}} tool.
<!--T:8-->
The Dimension Diameter tool adds a diameter dimension to a View. The dimension may be applied to any circular in the drawing. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the {{Button|[[Image:TechDraw_Dimension_Link.svg|16px]] [[TechDraw_Dimension_Link|Link Dimension]]}} tool.


</translate>
</translate>
[[Image:TechDraw_Dimension_Diameter_example.png]]
[[File:DiameterSample.png]]
<translate>
<translate>
<!--T:9-->
{{Caption|Measuring a circle, indicating the diameter}}
{{Caption|Measuring a circle, indicating the diameter}}


==How to use== <!--T:3-->
==How to use== <!--T:3-->

<!--T:10-->
# Select a circular edge in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a diameter dimension in these cases)
# Select a circular edge in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a diameter dimension in these cases)
# Press the {{Button|[[Image:Dimension_Diameter.png|16px]] [[TechDraw Dimension Diameter|Dimension Diameter]]}} button
# Press the {{Button|[[Image:Dimension_Diameter.png|16px]] [[TechDraw Dimension Diameter|Dimension Diameter]]}} button
# A dimension will be added to the View. The dimension may be dragged to the desired position.
# A dimension will be added to the View. The dimension may be dragged to the desired position.


==Options== <!--T:4-->
== Limitations == <!--T:11-->

None.
<!--T:12-->
Dimension objects are vulnerable to "topological naming" issues. See the information in the [[TechDraw Dimension Length|TechDraw Dimension Length]] tool for more information.


==Properties== <!--T:5-->
==Properties== <!--T:5-->

This object has the same properties as the [[TechDraw Dimension Length]] tool. See that tool for details.
<!--T:13-->
This object has the same properties as the [[TechDraw Dimension Length|TechDraw Dimension Length]] tool. See that tool for details.


==Scripting== <!--T:6-->
==Scripting== <!--T:6-->
{{Emphasis|See also:}} [[TechDraw API]] and [[FreeCAD Scripting Basics]].


<!--T:14-->
The Dimension Diameter tool can be used in [[macros]] and from the [[Python]] console by using the following functions:
{{Emphasis|See also:}} [[TechDraw API|TechDraw API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].

<!--T:15-->
The Dimension Diameter tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following functions:


</translate>
</translate>
Line 42: Line 64:
<translate>
<translate>


==Notes== <!--T:7-->
* All Dimensions are extremely vulnerable to the infamous "topological naming" issue. It is not possible at this time to keep references to 2D (projected) or 3D (actual) geometrical objects in sync with changes in the model. It is recommended that Dimensions be added towards the end of the drawing creation process.


<!--T:19-->
{{Docnav
|[[TechDraw_Dimension_Radius|New Radius]]
|[[TechDraw_Dimension_Angle|New Angle]]
|[[TechDraw_Module|TechDraw]]
|IconL=Techdraw_Dimension_Radius.png
|IconC=Workbench_TechDraw.svg
|IconR=Techdraw_Dimension_Angle.png
}}

<!--T:16-->
{{TechDraw Tools navi}}
{{TechDraw Tools navi}}

<!--T:17-->
{{Userdocnavi}}
{{Userdocnavi}}
</translate>
</translate>

Revision as of 20:51, 15 October 2019

TechDraw Dimension Diameter

Menu location
TechDraw → Dimension Diameter
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
TechDraw Dimension Radius

Description

The Dimension Diameter tool adds a diameter dimension to a View. The dimension may be applied to any circular in the drawing. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the Link Dimension tool.

Measuring a circle, indicating the diameter

How to use

  1. Select a circular edge in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a diameter dimension in these cases)
  2. Press the File:Dimension Diameter.png Dimension Diameter button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Limitations

Dimension objects are vulnerable to "topological naming" issues. See the information in the TechDraw Dimension Length tool for more information.

Properties

This object has the same properties as the TechDraw Dimension Length tool. See that tool for details.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Dimension Diameter tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Diameter"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)